package examples;

import java.util.List;

/**
 * @author Ben Wang
 */
public class Person {
   protected String name;
   protected Address address;

   public void setName(String name)
   {
      this.name = name;
   }

   public String getName()
   {
      return this.name;
   }

   public void setAddress(Address address)
   {
      this.address = address;
   }

   public Address getAddress()
   {
      return this.address;
   }

   public String toString()
   {
      StringBuffer buf = new StringBuffer();
      buf.append("{Name = " +name);
      if (address != null)
         buf.append(", Address = " + address.getSimpleAddress());
      buf.append("}\n");

      return buf.toString();
   }

}
